Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225964 - Merge Review: kdemultimedia
Summary: Merge Review: kdemultimedia
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:15 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 12:43:18 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:15:09 UTC
Fedora Merge Review: kdemultimedia

http://cvs.fedora.redhat.com/viewcvs/devel/kdemultimedia/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-08 14:45:12 UTC
Obligatory rpmlint:

$ rpmlint kdemultimedia-3.5.6-2.fc7.i386.rpm
W: kdemultimedia summary-ended-with-dot Multimedia applications for the K
Desktop Environment (KDE).
E: kdemultimedia invalid-soname /usr/lib/libkdeinit_noatun.so libkdeinit_noatun.so
E: kdemultimedia invalid-soname /usr/lib/libkdeinit_krec.so libkdeinit_krec.so
E: kdemultimedia invalid-soname /usr/lib/libkdeinit_kmix.so libkdeinit_kmix.so
E: kdemultimedia invalid-soname /usr/lib/libnoatunarts.so libnoatunarts.so
E: kdemultimedia invalid-soname /usr/lib/libwinskinvis.so libwinskinvis.so
E: kdemultimedia invalid-soname /usr/lib/libkdeinit_kmixctrl.so
libkdeinit_kmixctrl.so
E: kdemultimedia invalid-soname /usr/lib/liboggarts.so liboggarts.so
E: kdemultimedia invalid-soname /usr/lib/libartseffects.so libartseffects.so
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_m3u.la
E: kdemultimedia script-without-shellbang /usr/lib/libartseffects.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kcm_cddb.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kmix.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_au.la
E: kdemultimedia script-without-shellbang /usr/lib/libkmidlib.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatunsimple.la
E: kdemultimedia script-without-shellbang /usr/lib/libnoatunarts.la
W: kdemultimedia dangling-relative-symlink
/usr/share/doc/HTML/en/kdemultimedia-patched-apidocs/common ../common
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_metatag.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_htmlexport.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_marquis.la
E: kdemultimedia script-without-shellbang /usr/lib/libnoatun.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_keyz.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libkaboodlepart.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kcm_audiocd.la
E: kdemultimedia script-without-shellbang /usr/lib/libkdeinit_kmix.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmodulessynth.la
W: kdemultimedia dangling-relative-symlink /usr/share/doc/HTML/en/noatun/common
../common
E: kdemultimedia script-without-shellbang /usr/lib/libartsmodulesmixers.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kio_audiocd.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libaudiocd_encoder_lame.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_systray.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libkrecexport_wave.la
W: kdemultimedia dangling-relative-symlink /usr/share/doc/HTML/en/kmix/common
../common
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_winskin.la
W: kdemultimedia dangling-relative-symlink /usr/share/doc/HTML/en/kmid/common
../common
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_splitplaylist.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_kjofol.la
E: kdemultimedia script-without-shellbang /usr/lib/libartscontrolsupport.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_dcopiface.la
E: kdemultimedia script-without-shellbang /usr/lib/libkcddb.la
E: kdemultimedia script-without-shellbang /usr/lib/libartscontrolapplet.la
W: kdemultimedia dangling-relative-symlink /usr/share/doc/HTML/en/krec/common
../common
E: kdemultimedia script-without-shellbang /usr/lib/libkdeinit_kmixctrl.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_wav.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsgui_idl.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmidi_idl.la
W: kdemultimedia dangling-relative-symlink
/usr/share/doc/HTML/en/artsbuilder/common ../common
E: kdemultimedia script-without-shellbang /usr/lib/libwinskinvis.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_voiceprint.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_theora.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libkmidpart.la
E: kdemultimedia script-without-shellbang /usr/lib/liboggarts.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmodulescommon.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsgui_kde.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libaudiocd_encoder_flac.la
E: kdemultimedia script-without-shellbang /usr/lib/libarts_audiofile.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmidi.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsgui.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_kaiman.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kcm_krec.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libkrecexport_ogg.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kmix_panelapplet.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_infrared.la
E: kdemultimedia script-without-shellbang /usr/lib/libaudiocdplugins.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_excellent.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmoduleseffects.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libaudiocd_encoder_vorbis.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsbuilder.la
E: kdemultimedia script-without-shellbang /usr/lib/libkdeinit_noatun.la
E: kdemultimedia script-without-shellbang /usr/lib/libnoatuntags.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_ogg.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kmixctrl.la
W: kdemultimedia dangling-relative-symlink /usr/share/doc/HTML/en/kscd/common
../common
E: kdemultimedia script-without-shellbang /usr/lib/libnoatuncontrols.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun.la
W: kdemultimedia dangling-relative-symlink
/usr/share/doc/HTML/en/kioslave/common ../common
E: kdemultimedia script-without-shellbang /usr/lib/libkdeinit_krec.la
W: kdemultimedia non-conffile-in-etc
/etc/xdg/menus/applications-merged/kde-multimedia-music.menu
W: kdemultimedia dangling-relative-symlink
/usr/share/doc/HTML/en/kaboodle/common ../common
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_ui.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/libaudiocd_encoder_wav.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_avi.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/krec.la
E: kdemultimedia script-without-shellbang /usr/lib/libartsmodules.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_net.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_sid.la
W: kdemultimedia dangling-relative-symlink
/usr/share/doc/HTML/en/kaudiocreator/common ../common
E: kdemultimedia script-without-shellbang /usr/lib/kde3/kcm_krec_files.la
E: kdemultimedia script-without-shellbang /usr/lib/kde3/noatun_monoscope.la


Comment 2 Rex Dieter 2007-03-08 15:01:11 UTC
0. SHOULD: fix summary, omit '.'

1. MUST add to %files:
%doc COPYING COPYING-DOCS

2. MUST modify %files
-%{_datadir}/applications/*
+%{_datadir}/applications/kde/*
(ie, don't own %_datadir/applications/kde here)

Try as I might, can't find anything else worthy of change. (:  
Fix 1-3, and I'll APPROVE.

Comment 3 Ville Skyttä 2007-03-10 10:29:28 UTC
(In reply to comment #1)
> Obligatory rpmlint:
> 
> $ rpmlint kdemultimedia-3.5.6-2.fc7.i386.rpm
[...]
> E: kdemultimedia script-without-shellbang /usr/lib/kde3/kfile_m3u.la
> E: kdemultimedia script-without-shellbang /usr/lib/libartseffects.la
[...]

This output looks like one from an outdated version of rpmlint (< 0.78, current
is 0.79), please update.

Comment 4 Ngo Than 2007-03-12 13:20:47 UTC
it's now fixed in kdemultimedia-3_5_6-3_fc7.  Please take a loot at new 
package in rawhide. Thanks


Note You need to log in before you can comment on or make changes to this bug.